<?php

namespace App\Models\Business;
use App\Models\Business\BusinessAccessCode;
use App\Models\Customers\Customer;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class BusinessAccessCodeUserMap extends Model
{
    protected $table = 'business_access_code_user_maps';

    protected $fillable = [
        'access_id', 
        'business_id',
        'customer_id',
        'email_id',
        'status', 
        'join_datetime', 
        
      
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];
   
    public function customers()
    {
        return $this->belongsTO(Customer::class, 'id', 'customer_id');
    }
    
    
    

 
}
