<?php

namespace App\Models\Contractors;

use Illuminate\Database\Eloquent\Model;
use App\Models\Contractors\Customer;

class Address extends Model
{
    protected $table = 'addresses';
    protected $fillable = ['user_type', 'street_address', 'street_name', 'apartment_number', 'state','city', 'location', 'landmark', 'pincode', 'user_id', 'default_address'];

    /**
     * Get all the Service & category
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function Customer() {
        
        return $this->belongsTo(Customer::class, 'id', 'user_id');
    }
}
