<?php

namespace App\Models\IpLoginAttempt;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class IpLoginAttempt extends Model
{
    protected $table = 'ip_login_attempts';

    protected $fillable = [
        'email', 
        'ip_address', 
        'is_blocked'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

}
