<?php

namespace App\Models\Notifications;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class ScheduledNotification extends Model
{
    protected $table = 'scheduled_notifications';

    protected $fillable = [
        'title', 
        'message', 
        'sender_id', 
        'receiver_id', 
        'send_to',
        'scheduled_date_time',
        'status' 
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

}
