<?php

namespace App\Models\Posts;

use Illuminate\Database\Eloquent\Model;

class TaggedUser extends Model
{   
    protected $table = 'post_tagged_user';

    protected $fillable = [ 
       'post_id',
       'tagged_user_id'
    ];

    protected $hidden = [
        'created_at','updated_at',
    ];

    public function user() {
        return $this->belongsTo('App\Models\Customers\Customer','tagged_user_id','id')->select('id','first_name','last_name');
    }

}
