<?php

namespace App\Models\ReviewAndRatings;

use Illuminate\Database\Eloquent\Model;
use App\Models\Customers\Customer;
use App\Models\Providers\Provider;


class ProviderRatingReview extends Model
{
    

    protected $fillable = [
        'id','appointment_id','customer_id', 'provider_id', 'environment_rating', 'session_rating', 'recommend_service_rating','review','created_at','updated_at'
    ];


    public function customers() {  
        return $this->belongsTo(Customer::class, 'customer_id');
    }

    public function providers() {  
        return $this->belongsTo(Provider::class, 'provider_id');
    }

  
    
   
}


