<?php

namespace App\Models\Services;

use Illuminate\Database\Eloquent\Model;
use App\Models\Services\ServiceCategory;

class Service extends Model
{
    protected $table = 'services';
    protected $fillable = ['id','service_name','image','status'];

    /**
     * Get all the Service & category
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function category() {
        return $this->hasMany(ServiceCategory::class, 'service_id', 'id');
    }
}
