<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


// Customers API
$router->group(['prefix' => 'api/v2/'], function () use ($router) {
    
    $path = "ReviewAndRating";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('review-ratings', ['as' => 'review-ratings', 'uses' => $path.'\ReviewAndRatingController@index']);

       $router->put('review-ratings/{id}/active-inactive', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@activeInactive']);

        $router->delete('review-ratings/{id}', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@deleteReviewRating']);

        $router->get('review-ratings/{id}', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@show']);

    });
});


//**** Subcodevs v3 api ******/



// Customers API
$router->group(['prefix' => 'api/v3/'], function () use ($router) {
    
    $path = "v3\ReviewAndRating";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('review-ratings', ['as' => 'review-ratings', 'uses' => $path.'\ReviewAndRatingController@index']);

       $router->put('review-ratings/{id}/active-inactive', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@activeInactive']);

        $router->delete('review-ratings/{id}', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@deleteReviewRating']);

        $router->get('review-ratings/{id}', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@show']);

    });
});



//**** Subcodevs v4 api ******/



// Customers API
$router->group(['prefix' => 'api/v4/'], function () use ($router) {
    
    $path = "v4\ReviewAndRating";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('review-ratings', ['as' => 'review-ratings', 'uses' => $path.'\ReviewAndRatingController@index']);

       $router->put('review-ratings/{id}/active-inactive', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@activeInactive']);

        $router->delete('review-ratings/{id}', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@deleteReviewRating']);

        $router->get('review-ratings/{id}', ['as' => 'review-ratings', 'uses' => $path . '\ReviewAndRatingController@show']);

    });
});
