<?php


$router->group(['prefix' => 'api/v2/'], function () use ($router) {
    
    $path = "TemplateManagement";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

      

        $router->get('templatemanagement-list', ['as' => 'templatemanagement-list', 'uses' => $path.'\TemplateManagementController@listTemplateManagement']);


        $router->put('templatemanagement/{id}/active-inactive', ['as' => 'cms', 'uses' => $path . '\TemplateManagementController@activeInactive']);

        $router->post('templatemanagement', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@store']);

        $router->get('templatemanagement/{id}', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@edit']);

        $router->put('templatemanagement/{id}', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@update']);


       
    });
});



//**** Subcodevs v3 api ******/



$router->group(['prefix' => 'api/v3/'], function () use ($router) {
    
    $path = "v3\TemplateManagement";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

      

        $router->get('templatemanagement-list', ['as' => 'templatemanagement-list', 'uses' => $path.'\TemplateManagementController@listTemplateManagement']);


        $router->put('templatemanagement/{id}/active-inactive', ['as' => 'cms', 'uses' => $path . '\TemplateManagementController@activeInactive']);

        $router->post('templatemanagement', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@store']);

        $router->get('templatemanagement/{id}', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@edit']);

        $router->put('templatemanagement/{id}', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@update']);


       
    });
});


//**** Subcodevs v4 api ******/



$router->group(['prefix' => 'api/v4/'], function () use ($router) {
    
    $path = "v4\TemplateManagement";    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {
        $router->get('templatemanagement-list', ['as' => 'templatemanagement-list', 'uses' => $path.'\TemplateManagementController@listTemplateManagement']);
        $router->put('templatemanagement/{id}/active-inactive', ['as' => 'cms', 'uses' => $path . '\TemplateManagementController@activeInactive']);
        $router->post('templatemanagement', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@store']);
        $router->get('templatemanagement/{id}', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@edit']);
        $router->put('templatemanagement/{id}', ['as' => 'templatemanagement', 'uses' => $path . '\TemplateManagementController@update']);
    });
});
