<?php

namespace App\Http\Controllers;
use Illuminate\Http\Request;
use DB;
use Storage;
use Illuminate\Support\Facades\Config;
use Illuminate\Support\Facades\App;
use App\Models\EmailTemplate\EmailTemplate;
use App\Models\Test\Test;
use Carbon\Carbon;

class TestController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }


    public function sendMail()
    {
        $mailData = [
                'receiver_name' => "Antony",
                'receiver_email' => "antony@yopmail.com"
            ];

       /*App::setLocale('es');

       $templateData = EmailTemplate::where('name','sample-name')->first();
       dd($templateData->text);*/

       $templateName = "sample-name";
       sendEmail($mailData,$templateName);
       dd('mail sent successfully');
    }

    public function encryptData($name,$address)
    {
        $name = encryptString($name);
        $address = encryptString($address);

       /* $name = \mervick\aesEverywhere\AES256::encrypt($name, 'name');
        $address = \mervick\aesEverywhere\AES256::encrypt($address, 'address');*/

        echo "Name =>"." ".$name;
        echo "<br>";
        echo "Address =>"." ".$address;
    }

    public function decryptData($name,$address)
    {
        $name = decryptString("3WmAKrVdTd8qbMMEnGVDlQNAS7dGTF4CCmV5ohMI560=");
        $address = decryptString("aP4UCrDBGVnAkmorpsRKGw==");

        /*$name = \mervick\aesEverywhere\AES256::decrypt("sKyr53Ury8WflUEP2LXVOcGb+cF1XuIPNTDh1eizmpM=", 'name');
        $address = \mervick\aesEverywhere\AES256::decrypt("cE9sazAxMUlOZndqU1RkVzJaK1o3UT09", 'address');*/

        echo "Name =>"." ".$name;
        echo "<br>";
        echo "Address =>"." ".$address;
        
    }

    public function upload()
    {
        return view('upload-doc');
    }

    public function uploadDoc(Request $request)
    {
        $file= $request->file('image');
        $image = time().'.'.$file->getClientOriginalExtension();
        $directoryName = "test";

        uploadFile($file,$directoryName,$image);
        
        dd('document upload successfully!');
    }

    public function showDoc()
    {
        $directoryName = "test";
        $fileName = "1633671652.png";
        $presignedUrl = presignedUrl($directoryName,$fileName);
        //dd($presignedUrl);

        return view('show-doc', compact('presignedUrl'));
    }

    public function activityLog()
    {
        activity()->log('Look mum, I logged something');
        dd('save successfully.');
    }

    public function sendPushNotification()
    {
        $token = "123LcnSrMrRggfjsk";
        $message = "This is testing message";
        $res = pushNotification($token,$message);
        dd($res);
        
    }

    public function creatData()
    {
            $data = [
                    'name' => 'demo-temp',
                   'en' => [
                       'title'  => 'demo temp En',
                       'text'   => 'This is about demo temp en'
                   ],
                   'es' => [
                       'title'  => 'demo temp Es',
                       'text'   => 'This is about demo temp es'
                   ],
                ];
         $templateData = EmailTemplate::create($data);

         dd($templateData);
    }


    public function fetchData()
    {
        $templateData = EmailTemplate::where('name','demo-temp')->first();

       $currentTimeZone = 'Asia/Kolkata';
       $timezone = !empty($currentTimeZone) ? $currentTimeZone:config('app.timezone');
       $date  = Carbon::parse($templateData->created_at)->timezone($timezone);
       dd($date);
    }

    public function creatTestData()
    {
        $data = [
                    'name' => 'test',
                ];
         $testData = Test::create($data);

         dd($testData);
    }
    public function fetchTestData()
    {
         $testData = Test::where('name','test')->first();

         dd($testData);
    }


    /* stripe payment gateway */

    public function chargePayment(Request $request)
    {

        $stripe = new \Stripe\StripeClient(
          'sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM'
        );
        $token = $stripe->tokens->create([
          'card' => [
            'number' => '4242424242424242',
            'exp_month' => 5,
            'exp_year' => 2023,
            'cvc' => '314',
          ],
        ]);

        //dd($token->id);

        \Stripe\Stripe::setApiKey('sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM');
  
        //$token = $_POST['stripeToken'];
        $charge = \Stripe\Charge::create([
          'amount' => 50*100,     // this amount is in cents, 1$ == 100 cents
          'currency' => 'usd',
          'description' => 'Example charge',
          'source' => $token->id,
          'statement_descriptor' => 'Custom descriptor',
        ]);

        dd($charge);
    }


    public function createCustomer()
    {
       $stripe = new \Stripe\StripeClient(
         'sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM'
       );

       $token = $stripe->tokens->create([
        'card' => [
          'number' => '4242424242424242',
          'exp_month' => 8,
          'exp_year' => 2022,
          'cvc' => '316',
        ],
      ]);

       $customer = $stripe->customers->create([
            'name' => 'nathan',
            'description' => 'This is about nathan account',
            'email' => 'nathan@yopmail.com',
            'source'  => $token->id 
       ]);
        dd($customer);
    }

    public function createProduct()
    {
        $stripe = new \Stripe\StripeClient(
          'sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM'
        );

        $product = $stripe->products->create([
          'name' => 'gold_product',
          'description' => 'This is about neil product.',
        ]);

        dd($product);
    }

    /*public function createPlan()
    {
        $stripe = new \Stripe\StripeClient(
          'sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM'
        );
       $plan = $stripe->plans->create([
          'amount' => 2000,
          'currency' => 'usd',
          'interval' => 'day',
          'product' => 'prod_LfahZ9IOQ3XMKA',
          //'interval_count'=> 2
        ]);
       dd($plan);
    }*/

    public function createPrice()
    {
       $stripe = new \Stripe\StripeClient(
         'sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM'
       );
       $price = $stripe->prices->create([
         'currency' => 'usd',
         'unit_amount' => 20*100,
         'recurring' => ['interval' => 'day', 'interval_count' => 25],
         'product' => 'prod_LhO0MmbxsxoDkA',
       ]);

       dd($price);
    }

    public function createSubscription()
    {
        $stripe = new \Stripe\StripeClient(
          'sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM'
        );
        $subscription = $stripe->subscriptions->create([
          'customer' => 'cus_LgGWiwsqgGgdcA',
          'items' => [
            ['price' => 'price_1L15HREeyFpwNs4nnS8pzidD'],
          ],
        ]);
        dd($subscription);
    }

    public function cancelSubscription()
    {
        $stripe = new \Stripe\StripeClient(
          'sk_test_2gxflEphImjn3C1nbCE26ZwO00PMP3SpSM'
        );
        $cancelSubscription = $stripe->subscriptions->cancel(
          'sub_1Kyu3FEeyFpwNs4nErsNSqDh',
        );
        dd($cancelSubscription);
    }

    
}
