<?php

namespace App\Models\Business;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;
use App\Models\Business\Business;


class Pdf extends Model
{
    protected $table = 'pdf';

    protected $fillable = [
        'id',
        'from_date', 
        'to_date', 
        'pdf_genrated_date', 
        'pdf_url'
    ];
    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

}
