<?php

namespace App\Models\CustomerPaymentCard;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class CustomerPaymentCard extends Model
{
    protected $table = 'customer_payment_cards';

    protected $fillable = [
        'customer_id', 
        'card_number', 
        'card_exp_month', 
        'card_exp_year', 
        'card_cvc', 
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

}
