<?php

namespace App\Models\Customers;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Carbon\Carbon;

class IntakeQuestion extends Model implements TranslatableContract
{
    use Translatable;


    public $translatedAttributes = ['title'];

    protected $fillable = [ 
       
    ];


    public function options()
    {
        return $this->hasMany('App\Models\Customers\IntakeQuestionOption','intake_question_id','id');
    }

}
