<?php

namespace App\Models\Newsletters;

use Illuminate\Database\Eloquent\Model;

class Newsletter extends Model
{
   
    protected $fillable = [
        'id','email'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    protected $hidden = [
        'updated_at'
    ];

}  
