<?php

namespace App\Models\Notifications;

use Illuminate\Database\Eloquent\Model;

class Notification extends Model
{
    protected $table = 'notifications';

    protected $fillable = [
        'id','role','type', 'notifiable_id', 'data', 'read_at', 'created_at','updated_at'
    ];

    protected $casts = [
        'id' => 'string',
        'message' => 'json',
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    protected $hidden = [
        'type','notifiable_type','user_type'
    ];
}
