<?php

namespace App\Models\Notifications;

use Illuminate\Database\Eloquent\Model;
use Carbon\Carbon;

class NotificationSetting extends Model
{
    protected $table = 'notification_settings';

    protected $fillable = [
        'customer_id', 
        'provider_id', 
        'show_notification', 
        'appointment_reminder', 
        'call_notification',
        'new_message_notification',
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

}
