<?php

namespace App\Models\Products;

use Illuminate\Database\Eloquent\Model;

class EcomCategory extends Model
{
    protected $fillable = [    
        'amazon_cat_id', 
        'ebay_cat_id',
        'category_id'
    ];

    protected $casts = [
        'created_at' => 'datetime:Y-m-d H:i:s',
        'updated_at' => 'datetime:Y-m-d H:i:s',
    ];

    protected $hidden = [
        'created_at', 'updated_at'
    ];

  

    public function category(){        
    	return $this->belongsTo('App\Models\Products\Category', 'category_id')->select('id','category_en','category_es');
    }
}
