<?php

namespace App\Models\TemplateManagement;

use Illuminate\Database\Eloquent\Model;
use Astrotomic\Translatable\Contracts\Translatable as TranslatableContract;
use Astrotomic\Translatable\Translatable;
use Carbon\Carbon;

class EmailTemplate extends Model implements TranslatableContract
{
    use Translatable;

    public $translatedAttributes = ['title','text'];

    protected $fillable = [ 
       'name','status'
    ];

}
