<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	<head>
		<title>Email</title>
		<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
		<!--[if !mso]><!-->
		<meta http-equiv="X-UA-Compatible" content="IE=edge" />
		<!--<![endif]-->
		<meta name="format-detection" content="telephone=no" />
		<meta name="viewport" content="width=device-width, initial-scale=1.0" />			
		<link href="https://fonts.googleapis.com/css2?family=Inter:wght@400;600;700&display=swap" rel="stylesheet">
		<!-- <link href="https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:wght@600&display=swap" rel="stylesheet"> -->
		<style type="text/css">
			/* body{
			 background:url('https://project.webbycentral.xyz/WC737/images/frame-2.png') no-repeat center top;
			 }
			 .wrapper{
			 opacity:0.6;
			 } */
			.ExternalClass {
				width: 100%;
				background-color: #ecedf1;
			}
			* {
				box-sizing: border-box;
			}
			body {
				font-size: 1px;
				line-height: 1;
				margin: 0;
				padding: 0;
				color: #000;
				font-weight: 400;
				-webkit-font-smoothing: antialiased;
				-webkit-text-size-adjust: 100%;
				-ms-text-size-adjust: 100%;
				background-color: #fff;
				font-family: 'Montserrat', sans-serif;
			}
			#bodyTable {
				/* height: 100% !important; */
				margin: 0;
				padding: 0;
				width: 100% !important;
			}
			table {
				border-collapse: collapse;
				mso-table-lspace: 0pt;
				mso-table-rspace: 0pt;
				border-spacing: 0;
				-webkit-text-size-adjust: 100%;
				-ms-text-size-adjust: 100%;
			}
			img {
				border: none;
				outline: none;
				text-decoration: none;
				display: inline-block;
				height: auto
			}
			a{
				text-decoration:none;
			}
			@media only screen and (max-width: 644px) {
				body[yahoo] .section {
					width: 100% !important;
				}
				body[yahoo] .break {
					display: block !important;
					width: 100% !important;
				}
				body[yahoo] .break-img {
					height: auto !important;
					width: 100% !important;
				}
				body[yahoo] .align-center {
					text-align: center !important;
				}
				body[yahoo] .min-width-none {
					max-width: 100% !important;
				}
				body[yahoo] .width100 {
					display: inline-table !important;
				}
				body[yahoo] .margin {
					margin: 0 auto !important;
				}
			}
			@media only screen and (max-width: 600px){
				body[yahoo] .mob-width {
					width: 20px !important;
				}
				body[yahoo] .footer-width {
					width: 140px !important;
				}
			}
		</style>
	</head>
	<body yahoo="fix" class="wrapper" style=" margin: 0; padding: 0; background-color:#F2F5F9;line-height:1;-webkit-text-size-adjust: 100%;" id="bodyTable">
		<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr><td height="24"></td></tr>
			<tr>
				<td class="center" style="background-color:#F2F5F9;">
					<table class="section" cellspacing="0" cellpadding="0" border="0" align="center" width="690" style="box-shadow: 0px 8px 28px rgba(0, 0, 0, 0.1);    border-radius: 10px; overflow: hidden;">
						<!--Section 1 start-->
							<tr>
								<td>
									<table width="100%" cellspacing="0" cellpadding="0" border="0" style="background-color:#fff;">
										<tr>
											<td width="48" class="mob-width"></td></td>
											<td>
												<table width="100%" cellspacing="0" cellpadding="0" border="0">
													<tr><td height="48"></td></tr>
													<tr>
														<td style="text-align:center;">
															<a href="#"><img src="{{ $message->embed(public_path().'/assets/emailImages/new-logo.png') }}" alt="" width="100"></a>
														</td>
													</tr>
													<tr><td height="20"></td></tr>
													<tr><td style="font-family: 'Inter', sans-serif;font-size:24px;font-weight: 700;line-height:1.2;color:#28292E;letter-spacing:0.5px;">{{ $data['greeting'] }}</td></tr>
													<tr><td height="32"></td></tr>
													<tr><td style="font-family: 'Inter', sans-serif;font-size:16px;font-weight: 400;line-height:1.2;color:#28292E;letter-spacing:0;">@php echo html_entity_decode($data['body']); @endphp</td></tr>
													<tr><td height="25"></td></tr>
													<tr><td style="font-family: 'Inter', sans-serif;font-size:16px;font-weight: 600;line-height:1.2;color:#28292E;letter-spacing:0;">{{ $data['accesscode'] }}</td></tr>
													<tr><td height="32"></td></tr>
													<tr><td style="font-family: 'Inter', sans-serif;font-size:16px;font-weight: 400;line-height:1.2;color:#28292E;letter-spacing:0;">{{ $data['gratitude'] }}</td></tr>
													<tr><td height="10"></td></tr>
													<tr><td style="font-family: 'Inter', sans-serif;font-size:16px;font-weight: 400;line-height:1.2;color:#28292E;letter-spacing:0;">{{ $data['regard'] }}</td></tr>
												</table>
											</td>
											<td width="48" class="mob-width"></td></td>
										</tr>
										<tr><td height="49"></td></tr>
									</table>
								</td>
							</tr>
						<!--Section 1 end-->
						<!-- Section 2 start -->
							<tr>
								<td>
									<table width="100%" cellspacing="0" cellpadding="0" border="0" style="background-color:#F7F9FC;">
										<tr>
											<td width="48" class="mob-width"></td></td>
											<td>
												<table width="100%" cellspacing="0" cellpadding="0" border="0">

													<tr><td height="30"></td></tr>
													<tr>
														<td style="font-family: 'Inter', sans-serif;font-size:12px;font-weight: 400;line-height:1.2;color:#6E7A91;letter-spacing:0.5px;">{{ $data['footer'] }}</td>
													</tr>
												
													
													<tr><td height="30"></td></tr>
												</table>
											</td>
											<td width="48" class="mob-width"></td></td>
										</tr>
									</table>
								</td>
							</tr>
						<!-- Section 2 end -->
					</table>
				</td>
			</tr>
			<tr><td height="24"></td></tr>
		</table>
	</body>
</html>