<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


// Booking API
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) {
    $path = "Bookings";
    $router->get('bookings', ['as' => 'bookings', 'uses' => $path . '\BookingController@index']);
    $router->get('bookings/search', ['as' => 'bookings', 'uses' => $path . '\BookingController@index']);
    $router->post('bookings', ['as' => 'bookings', 'uses' => $path . '\BookingController@store']);
    $router->get('bookings/{id}', ['as' => 'bookings', 'uses' => $path . '\BookingController@show']);
    $router->put('bookings/{id}', ['as' => 'bookings', 'uses' => $path . '\BookingController@update']);
    $router->put('bookings/{id}/cancel', ['as' => 'bookings', 'uses' => $path . '\BookingController@cancelledBooking']);
});

//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) {
    $path = "v3\Bookings";
    $router->get('bookings', ['as' => 'bookings', 'uses' => $path . '\BookingController@index']);
    $router->get('bookings/search', ['as' => 'bookings', 'uses' => $path . '\BookingController@index']);
    $router->post('bookings', ['as' => 'bookings', 'uses' => $path . '\BookingController@store']);
    $router->get('bookings/{id}', ['as' => 'bookings', 'uses' => $path . '\BookingController@show']);
    $router->put('bookings/{id}', ['as' => 'bookings', 'uses' => $path . '\BookingController@update']);
    $router->put('bookings/{id}/cancel', ['as' => 'bookings', 'uses' => $path . '\BookingController@cancelledBooking']);
});

//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) {
    $path = "v4\Bookings";
    $router->get('bookings', ['as' => 'bookings', 'uses' => $path . '\BookingController@index']);
    $router->get('bookings/search', ['as' => 'bookings', 'uses' => $path . '\BookingController@index']);
    $router->post('bookings', ['as' => 'bookings', 'uses' => $path . '\BookingController@store']);
    $router->get('bookings/{id}', ['as' => 'bookings', 'uses' => $path . '\BookingController@show']);
    $router->put('bookings/{id}', ['as' => 'bookings', 'uses' => $path . '\BookingController@update']);
    $router->put('bookings/{id}/cancel', ['as' => 'bookings', 'uses' => $path . '\BookingController@cancelledBooking']);
});

