<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


// Customers API
$router->group(['prefix' => 'api/v2/'], function () use ($router) {
    
    $path = "ChangeProviderRequest";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('change-provider-request', ['as' => 'change-provider-request', 'uses' => $path.'\ChangeProviderRequestController@index']);

       $router->put('change-provider-request/approved/{id}', ['as' => 'change-provider-request', 'uses' => $path . '\ChangeProviderRequestController@approvedChangeProviderRequest']);


    });
});

//**** Subcodevs v3 api ******/

$router->group(['prefix' => 'api/v3/'], function () use ($router) {
    
    $path = "v3\ChangeProviderRequest";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('change-provider-request', ['as' => 'change-provider-request', 'uses' => $path.'\ChangeProviderRequestController@index']);

       $router->put('change-provider-request/approved/{id}', ['as' => 'change-provider-request', 'uses' => $path . '\ChangeProviderRequestController@approvedChangeProviderRequest']);

    });
});

//**** Subcodevs v4 api ******/

$router->group(['prefix' => 'api/v4/'], function () use ($router) {
    
    $path = "v4\ChangeProviderRequest";
    
    $router->group(['middleware' => 'auth'], function () use ($router, $path) {

       $router->get('change-provider-request', ['as' => 'change-provider-request', 'uses' => $path.'\ChangeProviderRequestController@index']);

       $router->put('change-provider-request/approved/{id}', ['as' => 'change-provider-request', 'uses' => $path . '\ChangeProviderRequestController@approvedChangeProviderRequest']);

    });
});
