<?php

/** @var \Laravel\Lumen\Routing\Router $router */
/*
  |--------------------------------------------------------------------------
  | Application Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register all of the routes for an application.
  | It is a breeze. Simply tell Lumen the URIs it should respond to
  | and give it the Closure to call when that URI is requested.
  |
 */


$router->group(['prefix' => 'api/v2/'], function () use ($router) 
{
    $path = "AppLabels";
    $router->get('labels', ['as' => 'labels', 'uses' => $path . '\AppLabelController@showLabels']);
    //$router->get('languages', ['as' => 'labels', 'uses' => $path . '\AppLabelController@languages']);
});

//**** Subcodevs v3 api ******/


$router->group(['prefix' => 'api/v3/'], function () use ($router) 
{
    $path = "v3\AppLabels";
    $router->get('labels', ['as' => 'labels', 'uses' => $path . '\AppLabelController@showLabels']);
    //$router->get('languages', ['as' => 'labels', 'uses' => $path . '\AppLabelController@languages']);
});

//**** Subcodevs v4 api ******/


$router->group(['prefix' => 'api/v4/'], function () use ($router) 
{
    $path = "v4\AppLabels";
    $router->get('labels', ['as' => 'labels', 'uses' => $path . '\AppLabelController@showLabels']);
    //$router->get('languages', ['as' => 'labels', 'uses' => $path . '\AppLabelController@languages']);
});
