<?php

/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

// Service API
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) {
    
    $path = "Services";
    $router->get('services', ['as' => 'services', 'uses' => $path . '\ServiceController@index']);
    $router->get('services/count', ['as' => 'services', 'uses' => $path . '\ServiceController@totalServices']);
    $router->get('services/search', ['as' => 'services', 'uses' => $path . '\ServiceController@index']);
    $router->get('services/{id}', ['as' => 'services', 'uses' => $path . '\ServiceController@show']);
});

// Service category API
$router->group(['prefix' => 'api/v2/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "Services";
    
    $router->get('service/categories', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@index']);
    $router->get('service/categories/count', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@totalServicesCategory']);
    $router->get('service/categories/search', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@index']);
    $router->get('service/categories/{id}', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@show']);
});

//**** Subcodevs v3 api ******/

// Service API
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) {
    
    $path = "v3\Services";
    $router->get('services', ['as' => 'services', 'uses' => $path . '\ServiceController@index']);
    $router->get('services/count', ['as' => 'services', 'uses' => $path . '\ServiceController@totalServices']);
    $router->get('services/search', ['as' => 'services', 'uses' => $path . '\ServiceController@index']);
    $router->get('services/{id}', ['as' => 'services', 'uses' => $path . '\ServiceController@show']);
});

// Service category API
$router->group(['prefix' => 'api/v3/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v3\Services";
    
    $router->get('service/categories', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@index']);
    $router->get('service/categories/count', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@totalServicesCategory']);
    $router->get('service/categories/search', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@index']);
    $router->get('service/categories/{id}', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@show']);
});


//**** Subcodevs v4 api ******/

// Service API
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) {
    
    $path = "v4\Services";
    $router->get('services', ['as' => 'services', 'uses' => $path . '\ServiceController@index']);
    $router->get('services/count', ['as' => 'services', 'uses' => $path . '\ServiceController@totalServices']);
    $router->get('services/search', ['as' => 'services', 'uses' => $path . '\ServiceController@index']);
    $router->get('services/{id}', ['as' => 'services', 'uses' => $path . '\ServiceController@show']);
});

// Service category API
$router->group(['prefix' => 'api/v4/', 'middleware' => 'auth'], function () use ($router) 
{
    $path = "v4\Services";
    
    $router->get('service/categories', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@index']);
    $router->get('service/categories/count', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@totalServicesCategory']);
    $router->get('service/categories/search', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@index']);
    $router->get('service/categories/{id}', ['as' => 'categories', 'uses' => $path . '\ServiceCategoryController@show']);
});